Subject: Re: mpc8xx and ld.so problem

From: Theo Gjaltema <[email-masked]>
Date: Wed, 13 Jul 2005 23:32:17 +0200

Wolfgang Denk schreef:

>In message <[email-masked]> you wrote:
>  
>
>>It appeard that on my mpc862 target I had also this problem. I am using
>>ELDK3.1.1 which includes a 2.4.25 kernel.
>>    
>>
>
>No, most definitely not.
>
>  
>
I don't understand this, on
/pub/Linux/distributions/eldk/3.1.1/ppc-linux-x86/distribution/common
there are the sources of a 2.4.25 kernel.

>>    Large application (20MB c++, mostly shared-libs) crashes (sigseg) at
>>startup BEFORE main() is called.
>>    Attempts to debug the application also fail: the debugger crashes
>>also (sigseg).
>>    
>>
>
>I bet that this is a FAQ. Your SDRAM initialization is broken.
>  
>
This was one of my guesses also. Since this is beyond my knowledge, I 
had the parametes initialisation parameters compared to an other 
platform which did not had the problems (rtos based), the same 
parameters were used. I did not investigate it any further.

>  
>
>>I didn't change the C-lib, I took the 2.4.30/arch/ppc/kernel/head_8xx.S
>>file and copied this over the 2.4.25 head_8xx.S file.
>>In the 2.4.30 version there is a piece of code mentioning the dcbX
>>instruction problems.
>>    
>>
>
>And did this fix the problem completely? I would be a bit surprised.
>
>  
>
No problem since.

>>This driver causes the CPM sometimes to hang when performing a memset,
>>can this be caused by the same problem?
>>    
>>
>
>Yes. When your SDRAM init is broken, strange things will happen.
>
>  
>
I'll try the kernel with the original atm/utopia to see what happens.

>Best regards,
>Wolfgang Denk
Thanks,
    Theo Gjaltema.